* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Poppins', sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 90vh;
  background: #e5e5e5;
}

main {
  width: 100%;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

button {
  cursor: pointer;
}

.logo:hover {
  transform: rotate(360deg);
  transition: all 0.5s ease;
  transform-origin: top;
}

.input-holder {
  display: flex;
  gap: 8px;
  flex-direction: column;
}

.input-holder label {
  color: rgba(255, 255, 255, 0.845);
}

.overlay {
  position: fixed;
  z-index: 10000;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  pointer-events: none;
  transform: translateX(100%);
  transition: all 0.4s;
}

.active-modal {
  transform: translateX(0);
  pointer-events: all;
  opacity: 1;
  border-radius: 0;
}

.modal {
  background-color: #ffff;
  display: flex;
  flex-direction: column;
  gap: 48px;
  width: 70%;
  max-height: 750px;
  overflow-y: auto;
  box-shadow: 0 48px 48px rgba(37, 47, 137, 0.08);
  border-radius: 16px;
  padding: 24px;
}

.holding {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.headline {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.headline h3 {
  font-size: 40px;
  font-weight: 700;
  line-height: 52px;
  color: #091e42;
}

.headline img {
  cursor: pointer;
  object-fit: contain;
}

.modal-img {
  object-fit: contain;
}

.modal-img img {
  width: 100%;
  object-fit: cover;
}

.modal-info {
  display: flex;
  gap: 24px;
}

.modal-desc {
  font-weight: 400;
  font-size: 16px;
  color: #344563;
  flex: 3.1;
}

.modal-holder {
  display: flex;
  flex-direction: column;
  gap: 20px;
  flex: 1;
}

.space {
  width: 100%;
  border: 1px solid #ebecf0;
  height: 1px;
  background-color: #ebecf0;
}

.modal-skills {
  display: flex;
  align-items: center;
  gap: 12px;
  flex-wrap: wrap;
}

.btns-group {
  display: flex;
  gap: 12px;
}

.see-live,
.source {
  padding: 8px;
  border: 1px solid #6070ff;
  align-self: flex-start;
  color: #396df2;
  background-color: transparent;
  border-radius: 8px;
  font-size: 12px;
  line-height: 24px;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s;
  width: 100%;
  gap: 3px;
}

.modal-noscroll {
  overflow: hidden;
}

/* desktop version  */
@media (min-width: 768px) {
  /* nav style */
  header {
    background-color: #fff;
    width: 100%;
    display: flex;
    min-height: 10vh;
  }

  nav {
    width: 85%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .links-holder {
    display: flex;
    align-items: center;
    gap: 32px;
    list-style: none;
  }

  .link a {
    color: #344563;
    font-size: 15px;
  }

  .burger-menu {
    display: none;
  }

  .nav-open {
    display: none;
  }

  /* hero section style */
  .hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: url('./imgs/header-bg.png') center / contain no-repeat;
    background-color: #fff;
    margin-bottom: 114px;
    border-bottom-left-radius: 100px;
    min-height: 90vh;
  }

  .hero div {
    width: 60%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 12px;
  }

  h1 {
    font-weight: 700;
    font-size: 50px;
    line-height: 60px;
    max-width: 404px;
    color: #091e42;
  }

  .about-me {
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    color: #344563;
  }

  .connect {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    text-decoration: none;
    color: #4653c8;
  }

  .social-icons {
    display: flex;
    gap: 20px;
    margin-top: 4px;
  }

  /* tonic  section */
  .works-section {
    display: grid;
    row-gap: 142px;
  }

  .tonic {
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 22px;
    padding: 32px;
    background: #fff;
    border: 1px solid #dfe1e6;
    border-radius: 16px;
    width: 90%;
  }

  .image {
    flex: 1;
  }

  .image img {
    width: 100%;
    object-fit: cover;
    transition: all 0.3s ease;
  }

  .image img:hover {
    transform: scale(1.1);
  }

  .group {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 24px;
    align-self: flex-start;
  }

  .tags-holder {
    display: flex;
    align-items: center;
    gap: 12px;
  }

  .canopy {
    color: #344563;
    font-size: 13px;
    font-weight: 600;
    line-height: 16px;
    text-transform: uppercase;
  }

  .tag {
    color: #70757c;
    font-size: 13px;
    font-weight: 600;
  }

  .dot {
    background: #c1c7d0;
    width: 8px;
    height: 8px;
    border-radius: 4px;
  }

  p {
    font-size: 15px;
    font-weight: 400;
    line-height: 24px;
    margin-top: 12px;
  }

  .skills {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-top: 4px;
  }

  .btn-skill {
    border: 0;
    padding: 4px 12px;
    background: #ebebff;
    border-radius: 8px;
    font-size: 12px;
    font-weight: 500;
    color: #6070ffec;
    list-style: none;
  }

  .view-project {
    margin-top: 20px;
    padding: 12px;
    border: 1px solid #6070ff;
    align-self: flex-start;
    color: #396df2;
    background-color: transparent;
    border-radius: 8px;
    font-size: 17px;
    line-height: 24px;
    font-weight: 500;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.3s;
    box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
  }

  .view-project:hover {
    background-color: #6070ff;
    color: white;
  }

  .order1 {
    order: 3;
  }

  .order2 {
    order: 4;
    flex-direction: row-reverse;
  }

  .order3 {
    order: 1;
  }

  .order4 {
    order: 2;
    flex-direction: row-reverse;
  }

  .mobile-img {
    display: none;
  }

  .about-section {
    display: flex;
    flex-direction: row;
    background: #fff;
    padding: 160px 142px;
    gap: 25px;
    border-top-right-radius: 100px;
    margin-top: 142px;
  }

  .info {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  .main-skills {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 36px;
  }

  .about-self {
    font-size: 40px;
    color: #091e42;
    max-width: 150px;
  }

  .languages,
  .framewroks,
  .some-skill {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .lang-group {
    display: flex;
    gap: 12px;
  }

  .lang {
    width: 122px;
    height: 120px;
    background: #f7f7f9;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 12px;
    gap: 16px;
  }

  .resume {
    margin-bottom: 30px;
  }

  h4 {
    font-size: 20px;
    color: #000;
    font-weight: 500;
  }

  h6 {
    font-size: 14px;
    font-weight: 500;
    color: #000;
  }

  .framewroks {
    padding: 12px;
    border-bottom: 1px solid #dfe1e6;
    height: 60px;
  }

  .some-skill {
    border-bottom: 1px solid #dfe1e6;
    padding: 12px;
    height: 60px;
  }

  .arrow {
    object-fit: contain;
  }

  .contact-form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: url('/imgs/contact-desktop.png') center / contain no-repeat;
    background-color: #6070ff;
    gap: 32px;
    padding: 70px 0;
    border: 1px solid transparent;
    border-top-left-radius: 100px;
  }

  .contact-group {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 12px;
    flex-direction: column;
    margin-top: 70px;
  }

  .contact-title {
    font-size: 40px;
    color: #fff;
    font-weight: 700;
    max-width: 100%;
  }

  .contact-desc {
    font-size: 20px;
    font-weight: 400;
    max-width: 500px;
    color: rgba(255, 255, 255, 0.845);
    transition: all 0.5s;
  }

  .contact-desc:hover {
    transform: translateX(10px);
  }

  form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 35%;
  }

  input {
    background-color: #fff;
    border: 1px solid #cfd8dc;
    border-radius: 8px;
    padding: 16px;
    width: 100%;
  }

  input::placeholder {
    color: #b3bac5;
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
  }

  textarea {
    width: 100%;
    resize: none;
    border-radius: 8px;
    padding: 16px;
    font-weight: 400;
  }

  textarea::placeholder {
    color: #b3bac5;
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
  }

  .submit {
    color: #6070ffec;
    padding: 12px 16px;
    background: #fff;
    border-radius: 8px;
    align-self: center;
    border: 0;
    font-weight: 500;
    font-size: 17px;
    line-height: 24px;
    width: 140px;
    cursor: pointer;
    transition: 0.4s;
  }

  .submit:hover {
    background: #ebebff;
  }

  .submit:disabled {
    opacity: 0.3;
  }

  .submit:enabled:active {
    background-color: rgb(111, 0, 255);
    color: white;
  }

  .footer-holder {
    background-color: #fff;
  }

  .black-line {
    display: none;
  }
}

/* mobile version  */
@media (max-width: 768px) {
  /* navbar */
  header {
    width: 100%;
    min-height: 7vh;
    display: flex;
    background-color: #fff;
  }

  nav {
    width: 93%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .links-holder {
    display: none;
  }

  .burger-menu {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2px;
    cursor: pointer;
    width: 40px;
    height: 18px;
    position: relative;
  }

  .line {
    width: 50%;
    height: 2px;
    font-weight: bold;
    background: #6070ff;
  }

  /* hero styling */
  .hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 12px;
    background: url('./imgs/background.png') center / contain no-repeat;
    height: 596px;
    padding: 16px 24px;
    border: 1px solid #dfe1e6;
    border-bottom-left-radius: 70px;
    background-color: #fff;
    margin-bottom: 114px;
  }

  .hero div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 12px;
    width: 100%;
  }

  h1 {
    font-weight: 700;
    font-size: 40px;
    line-height: 52px;
    max-width: 240px;
    color: #172b4d;
  }

  li {
    list-style: none;
  }

  .about-me {
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    color: #344563;
  }

  .connect {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    text-decoration: none;
    color: #7f8cff;
  }

  .social-icons {
    display: flex;
    gap: 20px;
  }

  /* styling tonic section */
  .tonic {
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 16px;
    background: #fff;
    border: 1px solid #dfe1e6;
    border-radius: 16px;
    width: 95%;
  }

  /* title style */
  h2 {
    color: #172b4d;
    font-weight: 700;
    max-width: 200px;
    font-size: 32px;
  }

  /* image styling */
  .image {
    width: 90%;
    border-radius: 8px;
    transform: scale(1.1);
    margin: auto;
    padding: 8px;
    margin-bottom: 20px;
  }

  img {
    object-fit: cover;
  }

  .group {
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  .lang-group {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  .tags-holder {
    display: flex;
    align-items: center;
    gap: 12px;
  }

  .desktop-img {
    display: none;
  }

  .canopy {
    color: #344563;
    font-size: 13px;
    font-weight: 600;
    line-height: 16px;
    text-transform: uppercase;
  }

  .tag {
    color: #7a869a;
    font-size: 13px;
    font-weight: 600;
  }

  .dot {
    background: #c1c7d0;
    width: 8px;
    height: 8px;
    border-radius: 4px;
  }

  p {
    font-size: 15px;
    font-weight: 400;
    line-height: 24px;
  }

  .skills {
    display: flex;
    align-items: center;
    gap: 12px;
  }

  .btn-skill {
    float: right;
    border: 0;
    padding: 4px 12px;
    background: #ebebff;
    border-radius: 8px;
    font-size: 12px;
    font-weight: 500;
    color: #6070ff;
    list-style: none;
  }

  .view-project {
    margin-top: 12px;
    padding: 12px;
    border: 1px solid #6070ff;
    align-self: flex-start;
    color: #396df2;
    background-color: transparent;
    border-radius: 8px;
    font-size: 17px;
    line-height: 24px;
    font-weight: 500;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.3s;
  }

  .view-project:hover {
    background-color: #6070ff;
    color: white;
  }

  .works-section {
    display: grid;
    row-gap: 88px;
  }

  .about-section {
    margin: 114px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 12px;
    padding: 16px;
    padding-top: 114px;
    border: 1px solid #dfe1e6;
    border-top-left-radius: 70px;
    background-color: #fff;
  }

  .image img {
    width: 100%;
  }

  .about-self {
    font-size: 40px;
  }

  .main-skills {
    display: flex;
    flex-direction: column;
    gap: 36px;
    width: 100%;
  }

  .languages,
  .framewroks,
  .some-skill {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .lang {
    width: 90%;
    height: 66.72px;
    background: #f7f7f9;
    border-radius: 8px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 12px;
    gap: 16px;
  }

  .resume {
    margin-bottom: 30px;
  }

  h4 {
    font-size: 20px;
    color: #000;
    font-weight: 500;
  }

  h6 {
    font-size: 14px;
    font-weight: 500;
    color: #000;
  }

  .framewroks {
    padding: 12px;
    border-bottom: 1px solid #dfe1e6;
    height: 60px;
  }

  .some-skill {
    border-bottom: 1px solid #dfe1e6;
    padding: 12px;
    height: 60px;
  }

  .arrow {
    object-fit: contain;
  }

  .contact-form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: url('/imgs/contact-bg.png') 101% / contain no-repeat #6070ff;
    gap: 70px;
    padding: 16px;
    border: 1px solid transparent;
    border-top-left-radius: 90px;
    margin-bottom: 20px;
  }

  .contact-group {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 12px;
    flex-direction: column;
    margin-top: 70px;
  }

  .contact-title {
    font-size: 40px;
    color: #fff;
    font-weight: 700;
    max-width: 100%;
  }

  .contact-desc {
    font-size: 20px;
    font-weight: 400;
    max-width: 330px;
    color: rgba(255, 255, 255, 0.845);
  }

  form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
  }

  input {
    background-color: #fff;
    border: 1px solid #cfd8dc;
    border-radius: 8px;
    padding: 16px;
    width: 100%;
  }

  input::placeholder {
    color: #b3bac5;
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
  }

  textarea {
    width: 100%;
    resize: none;
    border-radius: 8px;
    padding: 16px;
    font-weight: 400;
  }

  textarea::placeholder {
    color: #b3bac5;
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
  }

  .submit {
    color: #6070ff;
    padding: 12px 16px;
    background: #fff;
    border-radius: 8px;
    align-self: flex-start;
    border: 0;
    font-weight: 500;
    font-size: 17px;
    line-height: 24px;
    width: 140px;
    cursor: pointer;
    transition: all 0.3s;
  }

  .submit:hover {
    background: #ebebff;
  }

  .submit:disabled {
    opacity: 0.5;
  }

  .submit:enabled:active {
    background-color: rgb(111, 0, 255);
    color: white;
  }

  .black-line {
    width: 134px;
    height: 5px;
    align-self: center;
    margin-top: 12px;
    background: #0d151e;
    border-radius: 10px;
  }

  .nav-open {
    position: fixed;
    top: 0;
    left: -100%;
    right: 0;
    z-index: 100;
    width: 100%;
    height: 100%;
    background: #6070ff;
    opacity: 0.9;
    color: white;
    transform: translateX(0);
    transition: transform 0.3s;
    padding: 48px;
  }

  .nav-open a {
    color: white;
    font-size: 32px;
  }

  .nav-open div {
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 40px;
  }

  .toggle {
    transform: translateX(100%);
    z-index: 10;
  }

  .rotate .line1 {
    transform: rotate(135deg);
    transition: all 0.5s;
    background: white;
    z-index: 100000;
    height: 3px;
    width: 80%;
    position: absolute;
    top: 9px;
    left: 0;
  }

  .rotate .line2 {
    transform: rotate(-135deg);
    transition: all 0.5s;
    z-index: 100000;
    background: white;
    height: 3px;
    width: 80%;
    position: absolute;
    top: 9px;
    left: 0;
  }

  .rotate .line3 {
    background: black;
    transition: all 0.2s;
    transform: translateX(-100%);
    opacity: 0;
  }

  .no-scroll {
    margin: 0;
    height: 100%;
    overflow: hidden;
  }

  .modal-info {
    flex-direction: column;
  }
}

@media (max-width: 500px) {
  .lang {
    width: 100%;
  }
}
